Bug 99572 - ODS sheet with many external links from other Calc files does not stay updated after saving and reloading
Summary: ODS sheet with many external links from other Calc files does not stay update...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Files-Linked
  Show dependency treegraph
 
Reported: 2016-04-29 12:36 UTC by c.bessiere
Modified: 2021-06-02 03:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
folder Synthese fiches GS contains bugged GNET.ods and working GNET_ok_less_lines.ods (6.04 MB, application/x-zip-compressed)
2016-04-29 12:36 UTC, c.bessiere
Details
Exception Analysis (70.85 KB, text/plain)
2016-05-02 15:11 UTC, c.bessiere
Details
Pictures of file before and after saving (156.37 KB, application/pdf)
2017-02-02 17:49 UTC, c.bessiere
Details
New test case zip with a tweaked file (6.06 MB, application/zip)
2018-02-17 17:48 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description c.bessiere 2016-04-29 12:36:53 UTC
Created attachment 124725 [details]
folder Synthese fiches GS contains bugged GNET.ods and working GNET_ok_less_lines.ods

Regression (was ok with 4.4 versions)
On an ods sheet with about one hundred external links from other ods files in cells, When updating links , Calc crashes after few seconds.

If we suppress some lines to obtain approx 50 cells with links , it works.
Comment 1 m.a.riosv 2016-04-29 22:16:53 UTC
Hi @c.bessiere, thanks for reporting.

I can't reproduce.

Please test disabling Menu/Tools/Options/LibreOffce/OpenCL options.
Comment 2 c.bessiere 2016-05-02 09:56:49 UTC
Hi. Thanks for your answer.
I tried with both OpenCL disabled options :
and it doesn't change anything.

When you write "I can't reproduce" , does it means you can't open files or links , or you can open, and refresh without any problems ?

Regards
Christophe BESSIERE
Comment 3 m.a.riosv 2016-05-02 10:10:20 UTC
Thanks you for retest, I will try to test again, I'm having also strange crash, with a large file with lot of links.

There are other report https://bugs.documentfoundation.org/show_bug.cgi?id=99367, related to crash after several saves that maybe keeps some relation.

I'll try to get a backtrace.

If you want try, the information about:
https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 4 m.a.riosv 2016-05-02 13:59:38 UTC
I can refresh without crash, but I think not all links are available.
Comment 5 c.bessiere 2016-05-02 15:10:46 UTC
Additional test :The crash produces too with .xls format.
I made a backtrace (see exception analysis in attachments)
Comment 6 c.bessiere 2016-05-02 15:11:55 UTC
Created attachment 124793 [details]
Exception Analysis
Comment 7 m.a.riosv 2016-05-02 16:28:10 UTC
Thanks, please select your LibreOffice version on the field at top.
Comment 8 jake 2016-07-14 02:52:02 UTC
I have an excel with 2 links, one of which seems slow when updating. And it keeps crashing all my opened libreoffice docs frequently, and the suite becomes unusable for now.
Comment 9 Aron Budea 2017-01-25 14:12:20 UTC
Can you test if the crash still occurs in v5.2.4 or 5.3.0.2 (RC) versions?
Comment 10 c.bessiere 2017-02-02 17:35:48 UTC
The crash doesn't occurs in 5.2.4.2 
Otherwise, like in 4.4.5, the updates cells aren't saved 

When we open the file after a save and close, cells values are the same than before update
Comment 11 c.bessiere 2017-02-02 17:49:48 UTC
Created attachment 130862 [details]
Pictures of file before and after saving

Illustration of unsaved cells, when saving file. Just few cells are in this case
Comment 12 QA Administrators 2018-01-29 10:27:53 UTC Comment hidden (obsolete)
Comment 13 c.bessiere 2018-01-29 12:31:25 UTC
Bug is always the same in 5.2.5.1 and 5.3.7.2 Version
Comment 14 Telesto 2018-01-29 19:23:52 UTC
I can't reproduce a crash when updating links
Version: 6.1.0.0.alpha0+
Build ID: ea89dabf8b6363972190a6b50c527c418d51c2c7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-27_22:55:15
Locale: nl-NL (nl_NL); Calc: CL
Comment 15 c.bessiere 2018-01-30 09:18:39 UTC
It's not a Crash, just cells content not saved as shown on comment 11 
https://bugs.documentfoundation.org/show_bug.cgi?id=99572#c11
Comment 16 Buovjaga 2018-02-17 17:43:13 UTC
(In reply to c.bessiere from comment #11)
> Created attachment 130862 [details]
> Pictures of file before and after saving
> 
> Illustration of unsaved cells, when saving file. Just few cells are in this
> case

I repro, but not with 3.6.7, so it's a regression.

It was annoying to test as many of the linked files were missing, so I created a more minimal test case (saved with 3.6.7) where you don't have to click a million times.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 26783527823883ccd5bbf3b9e014a0a3c1e3a022
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 16th 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 17 Buovjaga 2018-02-17 17:48:40 UTC
Created attachment 139962 [details]
New test case zip with a tweaked file

Use G NET-minimal.ods in folder Synthèse fiches GS for testing
Comment 18 Buovjaga 2018-06-01 20:14:20 UTC
Bibisected with bibisect_win_44 to the range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=1df232139353d166014d7f73ea2423e6930ad348...516bd94247ea24586885254ac716f4a5f90e5c73 of which two this seems like the cause: https://cgit.freedesktop.org/libreoffice/core/commit/?id=8d5d877dc94ba5edfc7587b957ca5a00725d434b

commit 8d5d877dc94ba5edfc7587b957ca5a00725d434b (patch)
tree 3e0d8dd0796a72cb7db38d6fb91cd93a26d5fbb4
parent 516bd94247ea24586885254ac716f4a5f90e5c73 (diff)
cp#1000072: Populate cache tables when updating all external links.
This way, even after the loaded doc shells get purged due to timeout,
we won't reload those external documents from disk again.  One caveat
is that we currently don't pre-populate empty cells even if they are
referenced by the host document.

Change-Id: I1de2987836bf2fc5d9d7044b406fb99faa534164

Not adding Kohei to CC as he ignores regressions.

Note that the original description is wrong "was ok with 4.4 versions". The regression is already in 4.4.0.0.alpha0+
Comment 19 QA Administrators 2019-06-02 03:00:39 UTC Comment hidden (obsolete)
Comment 20 QA Administrators 2021-06-02 03:48:08 UTC
Dear c.bessiere,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug